ur_rna.Utilities

## Enum Verbosity

- java.lang.Object
- - java.lang.Enum<Verbosity>
  - - ur_rna.Utilities.Verbosity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Verbosity>

      public enum Verbosity
      extends java.lang.Enum<Verbosity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Debug`
    `Error`
    `Info`
    `Silent`
    `Trace`
    `Warn`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `importance`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Verbosity` | `fromImportance(int importance)`
    `static Verbosity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Verbosity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Debug

          public static final Verbosity Debug

    - #### Error

          public static final Verbosity Error

    - #### Info

          public static final Verbosity Info

    - #### Silent

          public static final Verbosity Silent

    - #### Trace

          public static final Verbosity Trace

    - #### Warn

          public static final Verbosity Warn

  - ### Field Detail

    - #### importance

          public final int importance

  - ### Method Detail

    - #### fromImportance

          public static Verbosity fromImportance(int importance)

    - #### valueOf

          public static Verbosity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static Verbosity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Verbosity c : Verbosity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared